| Home | Libraries | People | FAQ | More

##### grammar::delim_rule (1 of 2 overloads)

Match a character literal.

###### Synopsis

Defined in header `<boost/url/grammar/delim_rule.hpp>`

    constexpr implementation-defined
    delim_rule(
        char ch);

###### Description

This matches the specified character. The value is a reference to the character in the underlying buffer, expressed as a `core::string_view`. The function `squelch` may be used to turn this into `void` instead. If there is no more input, the error code `error::need_more` is returned.

###### Value Type

    using value_type = core::string_view;

###### Example

Rules are used with the function `parse`.

    system::result< core::string_view > rv = parse( "." , delim_rule( '.' ) );

###### BNF

    char        = %00-FF

###### Parameters

Name | Description
--- | ---
`ch` | The character to match

###### See Also

`parse`, `squelch`.

Convenience header `<boost/url/grammar.hpp>`